Bug 1248682 - dnf: crash in librepo during download
dnf: crash in librepo during download
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 11:19 EDT by Florian Weimer
Modified: 2017-08-08 08:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:03:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core.xz (9.01 MB, application/octet-stream)
2015-07-30 11:19 EDT, Florian Weimer
no flags Details

  None (edit)
Description Florian Weimer 2015-07-30 11:19:10 EDT
Created attachment 1057718 [details]
core.xz

The backtrace looks like this.  This happened with rawhide as of today (2015-07-30).

#0  Curl_add_buffer_free (buff=0x60aa780c0ca96dc9) at http.c:1056
#1  http_disconnect (conn=0x7f4955411ce0, dead_connection=true) at http.c:176
#2  0x00007f4947af50c1 in Curl_disconnect (conn=conn@entry=0x7f4955411ce0, dead_connection=dead_connection@entry=true)
    at url.c:2761
#3  0x00007f4947af51d4 in disconnect_if_dead (conn=0x7f4955411ce0, data=0x7f49545fc640) at url.c:3044
#4  0x00007f4947af5209 in call_disconnect_if_dead (conn=<optimized out>, param=<optimized out>) at url.c:3060
#5  0x00007f4947b25962 in Curl_conncache_foreach (connc=<optimized out>, param=param@entry=0x7f49545fc640, 
    func=func@entry=0x7f4947af5200 <call_disconnect_if_dead>) at conncache.c:295
#6  0x00007f4947af7741 in prune_dead_connections (data=0x7f49545fc640) at url.c:3075
#7  create_conn (async=0x7ffd43dbbae8, in_connect=0x7f49545fc650, data=<optimized out>) at url.c:5686
#8  Curl_connect (data=data@entry=0x7f49545fc640, in_connect=in_connect@entry=0x7f49545fc650, 
    asyncp=asyncp@entry=0x7ffd43dbbb88, protocol_done=protocol_done@entry=0x7ffd43dbbb89) at url.c:5961
#9  0x00007f4947b09323 in multi_runsingle (multi=multi@entry=0x7f495442f370, now=..., data=data@entry=0x7f49545fc640)
    at multi.c:1089
#10 0x00007f4947b09d36 in curl_multi_perform (multi_handle=0x7f495442f370, 
    running_handles=running_handles@entry=0x7ffd43dbbc78) at multi.c:1793
#11 0x00007f4947f7f7f6 in lr_perform (err=0x7ffd43dbbc80, dd=0x7ffd43dbbca0)
    at /usr/src/debug/librepo/py3/librepo/downloader.c:1832
#12 lr_download (targets=targets@entry=0x7f49544256a0, failfast=failfast@entry=1, err=err@entry=0x7ffd43dbc098)
    at /usr/src/debug/librepo/py3/librepo/downloader.c:1949
#13 0x00007f4947f8657e in lr_download_packages (targets=targets@entry=0x7f49543cfba0, 
    flags=flags@entry=LR_PACKAGEDOWNLOAD_FAILFAST, err=err@entry=0x7ffd43dbc098)
    at /usr/src/debug/librepo/py3/librepo/package_downloader.c:413
#14 0x00007f494819d58b in py_download_packages (self=<optimized out>, args=<optimized out>)
    at /usr/src/debug/librepo/py3/librepo/python/packagedownloader-py.c:71
#15 0x00007f4952d9e651 in call_function (oparg=<optimized out>, pp_stack=0x7ffd43dbc1a0)
    at /usr/src/debug/Python-3.4.3/Python/ceval.c:4266
#16 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7f493f7ddac8, for file /usr/lib64/python3.4/site-packages/librepo/__init__.py, line 1505, in download_packages (list=[<PackageTarget at remote 0x7f493f824c18>, <PackageTarget at remote 0x7f493f824c88>, <PackageTarget at remote 0x7f493f824cf8>, <PackageTarget at remote 0x7f493f824d68>], failfast=True), throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-3.4.3/Python/ceval.c:2862
#17 0x00007f4952d9f636 in PyEval_EvalCodeEx (_co=_co@entry=<code at remote 0x7f49483db8a0>, globals=<optimized out>, 
    locals=locals@entry=0x0, args=<optimized out>, argcount=argcount@entry=1, kws=0x7f4954471298, kwcount=1, 
    defs=0x7f49483dea38, defcount=1, kwdefs=0x0, closure=0x0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:3617
#18 0x00007f4952d9ca2f in fast_function (nk=1, na=1, n=<optimized out>, pp_stack=0x7ffd43dbc3c0, func=<optimized out>)
    at /usr/src/debug/Python-3.4.3/Python/ceval.c:4373
#19 call_function (oparg=<optimized out>, pp_stack=0x7ffd43dbc3c0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:4291
#20 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7f49544710c8, for file /usr/lib/python3.4/site-packages/dnf/repo.py, line 126, in download_payloads (payloads=[<RPMPayload(progress=<MultiFileProgressMeter(state={'vim-enhanced-7.4.769-3.fc23.x86_64.rpm': (<float at remote 0x7f49534b2cd8>, 38848), 'vim-common-7.4.769-3.fc23.x86_64.rpm': (<float at remote 0x7f49534b2c60>, 32448)}, active=['vim-enhanced-7.4.769-3.fc23.x86_64.rpm', 'vim-common-7.4.769-3.fc23.x86_64.rpm'], fo=<_io.TextIOWrapper at remote 0x7f49534bb630>, done_files=1, rate_average=<float at remote 0x7f49534b2ba0>, rate=<float at remote 0x7f49534b2dc8>, total_size=7459772, total_files=4, done_size=108516, tick_period=<float at remote 0x7f49534b2b88>, update_period=<float at remote 0x7f49534b2b58>, last_time=<float at remote 0x7f49534b2c18>, last_size=77156) at remote 0x7f493f85e940>, pkg=<Package(_repo=None, _chksum=None, base=<BaseCli(clean_tempfiles=False, group_persistor=None, _tempfiles={'/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/gpm-libs-1.20.7-7.fc23.x86_64.rpm', '/var/cache/dn...(truncated), 
    throwflag=throwflag@entry=0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:2862
#21 0x00007f4952d9de4b in fast_function (nk=<optimized out>, na=<optimized out>, n=2, pp_stack=0x7ffd43dbc500, 
    func=<optimized out>) at /usr/src/debug/Python-3.4.3/Python/ceval.c:4363
#22 call_function (oparg=<optimized out>, pp_stack=0x7ffd43dbc500) at /usr/src/debug/Python-3.4.3/Python/ceval.c:4291
#23 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7f4954470af8, for file /usr/lib/python3.4/site-packages/dnf/base.py, line 865, in download_packages (self=<BaseCli(clean_tempfiles=False, group_persistor=None, _tempfiles={'/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/gpm-libs-1.20.7-7.fc23.x86_64.rpm', '/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/vim-common-7.4.769-3.fc23.x86_64.rpm', '/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/vim-filesystem-7.4.769-3.fc23.x86_64.rpm', '/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/vim-enhanced-7.4.769-3.fc23.x86_64.rpm'}, logging=<Logging(stdout_handler=<StreamHandler(level=20, lock=<_thread.RLock at remote 0x7f49533efa80>, filters=[<MaxLevelFilter(max_level=30) at remote 0x7f493f854f98>], _name=None, formatter=None, stream=<_io.TextIOWrapper at remote 0x7f49534bb630>) at remote 0x7f493f8a7320>, setup=<function at remote 0x7f49403c8950>, presetup=<function at remote 0x7f49403c87b8>, stderr_handler=<StreamHandler(level=30, lock=<_thread.RLock at remote 0x7f493f8982d0>, filters=[], _name=None, formatter...(truncated), 
    throwflag=throwflag@entry=0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:2862
#24 0x00007f4952d9f636 in PyEval_EvalCodeEx (_co=_co@entry=<code at remote 0x7f49486c8f60>, globals=<optimized out>, 
    locals=locals@entry=0x0, args=<optimized out>, argcount=argcount@entry=4, kws=0x7f4954419458, kwcount=0, 
    defs=0x7f49403925e0, defcount=2, kwdefs=0x0, closure=0x0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:3617
#25 0x00007f4952d9ca2f in fast_function (nk=0, na=4, n=<optimized out>, pp_stack=0x7ffd43dbc720, func=<optimized out>)
    at /usr/src/debug/Python-3.4.3/Python/ceval.c:4373
#26 call_function (oparg=<optimized out>, pp_stack=0x7ffd43dbc720) at /usr/src/debug/Python-3.4.3/Python/ceval.c:4291
#27 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7f4954419228, for file /usr/lib/python3.4/site-packages/dnf/cli/cli.py, line 209, in do_transaction (self=<BaseCli(clean_tempfiles=False, group_persistor=None, _tempfiles={'/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/gpm-libs-1.20.7-7.fc23.x86_64.rpm', '/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/vim-common-7.4.769-3.fc23.x86_64.rpm', '/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/vim-filesystem-7.4.769-3.fc23.x86_64.rpm', '/var/cache/dnf/fedora-2d95c80a1fa0a67d/packages/vim-enhanced-7.4.769-3.fc23.x86_64.rpm'}, logging=<Logging(stdout_handler=<StreamHandler(level=20, lock=<_thread.RLock at remote 0x7f49533efa80>, filters=[<MaxLevelFilter(max_level=30) at remote 0x7f493f854f98>], _name=None, formatter=None, stream=<_io.TextIOWrapper at remote 0x7f49534bb630>) at remote 0x7f493f8a7320>, setup=<function at remote 0x7f49403c8950>, presetup=<function at remote 0x7f49403c87b8>, stderr_handler=<StreamHandler(level=30, lock=<_thread.RLock at remote 0x7f493f8982d0>, filters=[], _name=None, formatter...(truncated), 
    throwflag=throwflag@entry=0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:2862
#28 0x00007f4952d9f636 in PyEval_EvalCodeEx (_co=_co@entry=<code at remote 0x7f494039c390>, globals=<optimized out>, 
    locals=locals@entry=0x0, args=<optimized out>, argcount=argcount@entry=1, kws=0x7f495442e478, kwcount=1, 
    defs=0x7f493f82fe98, defcount=1, kwdefs=0x0, closure=(<cell at remote 0x7f49403a60d8>,))
    at /usr/src/debug/Python-3.4.3/Python/ceval.c:3617
#29 0x00007f4952d9ca2f in fast_function (nk=1, na=1, n=<optimized out>, pp_stack=0x7ffd43dbc940, func=<optimized out>)
    at /usr/src/debug/Python-3.4.3/Python/ceval.c:4373
#30 call_function (oparg=<optimized out>, pp_stack=0x7ffd43dbc940) at /usr/src/debug/Python-3.4.3/Python/ceval.c:4291
#31 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7f495442e2c8, for file /usr/lib/python3.4/site-packages/dnf/cli/main.py, line 165, in resolving (cli=<Cli(cmdstring='dnf ', nogpgcheck=None, command=<InstallCommand(cli=<...>) at remote 0x7f493f7be940>, optparser=<OptionParser(_cmd_groups={'main', 'plugin'}, _subparsers=None, prefix_chars='-', _actions=[<_StoreTrueAction(dest='allowerasing', help='allow erasing of installed packages to resolve dependencies', metavar=None, nargs=0, container=<_ArgumentGroup(conflict_handler='error', _registries={'action': {'help': <type at remote 0x7f49543b3cd8>, 'store': <type at remote 0x7f49543b1978>, 'append': <type at remote 0x7f49543b2dd8>, 'parsers': <type at remote 0x7f49543b5698>, 'version': <type at remote 0x7f49543aca28>, 'count': <type at remote 0x7f49543b37d8>, 'store_true': <type at remote 0x7f49543b22e8>, 'store_const': <type at remote 0x7f49543b1de8>, 'store_false': <type at remote 0x7f49543b28d8>, 'append_const': <type at remote 0x7f49543b32d8>, None: <type at remote 0x7f49543b1978>}, 'type': {None: <f...(truncated), 
    throwflag=throwflag@entry=0) at /usr/src/debug/Python-3.4.3/Python/ceval.c:2862
#32 0x00007f4952d9de4b in fast_function (nk=<optimized out>, na=<optimized out>, n=2, pp_stack=0x7ffd43dbca80,
Comment 1 Honza Silhan 2015-08-11 08:10:29 EDT
Hi Tomas, can this be a librepo bug? If not feel free to reassign back.
Comment 2 Jan Kurik 2016-02-24 08:29:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:03:54 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:03:47 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.